using System;
using System.Collections.Generic;
using System.Text;
using ECOT.Engine.Statistics;

namespace ECOT.Game
{
    public static class GenericHandlers
    {
        #region Variables

        public static void Positive(Variable var)
        {
            if (var.Value < 0.0)
                var.Value = 0.0;
        }

        public static void Saturate(Variable var)
        {
            Variable.Clamp(var, 0.0, 1.0);
        }

        public static void Round(Variable var)
        {
            Variable.Round(var);
        }

        #endregion
    }
}
